JUCE: ComboBox::LookAndFeelMethods Struct Reference

JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | List of all members
ComboBox::LookAndFeelMethods Struct Referenceabstract
juce_gui_basics » widgets

This abstract base class is implemented by LookAndFeel classes to provide ComboBox functionality. More...

`#include <juce_ComboBox.h>`

Inheritance diagram for ComboBox::LookAndFeelMethods:

## Public Member Functions
virtual | ~LookAndFeelMethods ()=default
virtual void | drawComboBox (Graphics &, int width, int height, bool isButtonDown, int buttonX, int buttonY, int buttonW, int buttonH, ComboBox &)=0
virtual Font | getComboBoxFont (ComboBox &)=0
virtual Label * | createComboBoxTextBox (ComboBox &)=0
virtual void | positionComboBoxText (ComboBox &, Label &labelToPosition)=0
virtual PopupMenu::Options | getOptionsForComboBoxPopupMenu (ComboBox &, Label &)=0
virtual void | drawComboBoxTextWhenNothingSelected (Graphics &, ComboBox &, Label &)=0

## Detailed Description

This abstract base class is implemented by LookAndFeel classes to provide ComboBox functionality.

## Constructor & Destructor Documentation

## ◆ ~LookAndFeelMethods()

virtual ComboBox::LookAndFeelMethods::~LookAndFeelMethods | ( |  | ) |
| virtualdefault

## Member Function Documentation

## ◆ drawComboBox()

virtual void ComboBox::LookAndFeelMethods::drawComboBox | ( | Graphics & | ,
|  | int | width,
|  | int | height,
|  | bool | isButtonDown,
|  | int | buttonX,
|  | int | buttonY,
|  | int | buttonW,
|  | int | buttonH,
|  | ComboBox & |
| ) |  |
| pure virtual

Implemented in LookAndFeel_V1, LookAndFeel_V4, LookAndFeel_V3, and LookAndFeel_V2.

## ◆ getComboBoxFont()

virtual Font ComboBox::LookAndFeelMethods::getComboBoxFont | ( | ComboBox & |  | ) |
| pure virtual

Implemented in LookAndFeel_V1, LookAndFeel_V2, and LookAndFeel_V4.

## ◆ createComboBoxTextBox()

virtual Label * ComboBox::LookAndFeelMethods::createComboBoxTextBox | ( | ComboBox & |  | ) |
| pure virtual

Implemented in LookAndFeel_V2.

## ◆ positionComboBoxText()

virtual void ComboBox::LookAndFeelMethods::positionComboBoxText | ( | ComboBox & | ,
|  | Label & | labelToPosition
| ) |  |
| pure virtual

Implemented in LookAndFeel_V2, and LookAndFeel_V4.

## ◆ getOptionsForComboBoxPopupMenu()

virtual PopupMenu::Options ComboBox::LookAndFeelMethods::getOptionsForComboBoxPopupMenu | ( | ComboBox & | ,
|  | Label & |
| ) |  |
| pure virtual

Implemented in LookAndFeel_V2.

## ◆ drawComboBoxTextWhenNothingSelected()

virtual void ComboBox::LookAndFeelMethods::drawComboBoxTextWhenNothingSelected | ( | Graphics & | ,
|  | ComboBox & | ,
|  | Label & |
| ) |  |
| pure virtual

Implemented in LookAndFeel_V2.

The documentation for this struct was generated from the following file:

- juce_ComboBox.h